package com.hzjt.domain;

import lombok.Data;

public class DeviceWriteParam {

    private String deviceID;
    private String DeviceType;
    private String deviceName;
    private String regionID;
    private Integer deviceStatus;
    private String deviceSupplier;
    private Integer dataType;
    private Integer RoadType;
    private String locationType;
    private String locationX;
    private String locationY;
    private String locationEndX;
    private String locationEndY;
    private Integer DeviceDirection;
    private Integer StartNumK;
    private Integer StartNumM;
    private String RoadNum;
    private String LocationDesc;
    private Integer toll;
    private String locationID;
    private Integer serviceArea;
    private Integer rampToll;
    private Integer rampServiceArea;
    private String rampHubRoad;
    private Integer rampHubDirection;

    public String getDeviceID() {
        return deviceID;
    }

    public void setDeviceID(String deviceID) {
        this.deviceID = deviceID;
    }

    public String getDeviceType() {
        return DeviceType;
    }

    public void setDeviceType(String deviceType) {
        DeviceType = deviceType;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getRegionID() {
        return regionID;
    }

    public void setRegionID(String regionID) {
        this.regionID = regionID;
    }

    public Integer getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(Integer deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public String getDeviceSupplier() {
        return deviceSupplier;
    }

    public void setDeviceSupplier(String deviceSupplier) {
        this.deviceSupplier = deviceSupplier;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Integer getRoadType() {
        return RoadType;
    }

    public void setRoadType(Integer roadType) {
        RoadType = roadType;
    }

    public String getLocationType() {
        return locationType;
    }

    public void setLocationType(String locationType) {
        this.locationType = locationType;
    }

    public String getLocationX() {
        return locationX;
    }

    public void setLocationX(String locationX) {
        this.locationX = locationX;
    }

    public String getLocationY() {
        return locationY;
    }

    public void setLocationY(String locationY) {
        this.locationY = locationY;
    }

    public String getLocationEndX() {
        return locationEndX;
    }

    public void setLocationEndX(String locationEndX) {
        this.locationEndX = locationEndX;
    }

    public String getLocationEndY() {
        return locationEndY;
    }

    public void setLocationEndY(String locationEndY) {
        this.locationEndY = locationEndY;
    }

    public Integer getDeviceDirection() {
        return DeviceDirection;
    }

    public void setDeviceDirection(Integer deviceDirection) {
        DeviceDirection = deviceDirection;
    }

    public Integer getStartNumK() {
        return StartNumK;
    }

    public void setStartNumK(Integer startNumK) {
        StartNumK = startNumK;
    }

    public Integer getStartNumM() {
        return StartNumM;
    }

    public void setStartNumM(Integer startNumM) {
        StartNumM = startNumM;
    }

    public String getRoadNum() {
        return RoadNum;
    }

    public void setRoadNum(String roadNum) {
        RoadNum = roadNum;
    }

    public String getLocationDesc() {
        return LocationDesc;
    }

    public void setLocationDesc(String locationDesc) {
        LocationDesc = locationDesc;
    }

    public Integer getToll() {
        return toll;
    }

    public void setToll(Integer toll) {
        this.toll = toll;
    }

    public String getLocationID() {
        return locationID;
    }

    public void setLocationID(String locationID) {
        this.locationID = locationID;
    }

    public Integer getServiceArea() {
        return serviceArea;
    }

    public void setServiceArea(Integer serviceArea) {
        this.serviceArea = serviceArea;
    }

    public Integer getRampToll() {
        return rampToll;
    }

    public void setRampToll(Integer rampToll) {
        this.rampToll = rampToll;
    }

    public Integer getRampServiceArea() {
        return rampServiceArea;
    }

    public void setRampServiceArea(Integer rampServiceArea) {
        this.rampServiceArea = rampServiceArea;
    }

    public String getRampHubRoad() {
        return rampHubRoad;
    }

    public void setRampHubRoad(String rampHubRoad) {
        this.rampHubRoad = rampHubRoad;
    }

    public Integer getRampHubDirection() {
        return rampHubDirection;
    }

    public void setRampHubDirection(Integer rampHubDirection) {
        this.rampHubDirection = rampHubDirection;
    }
}
